%global momorel 4

Summary: Eterm -- an Enlightened terminal emulator for the X Window System
Name: Eterm
Version: 0.9.2
Release: %{momorel}m
License: Modified BSD
Group: User Interface/X
URL: http://eterm.sourceforge.net/
Source0: http://telia.dl.sourceforge.net/eterm/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: Eterm-0.9.2-momonga.patch
Patch1: Eterm-0.9.2-termname.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: imlib2-devel >= 1.1.0-1m
BuildRequires: XFree86-devel
BuildRequires: libtiff-devel
BuildRequires: libungif-devel
BuildRequires: libast-devel >= 0.5-3m
BuildRequires: utempter
Obsoletes: Eterm-backgrounds
Provides: Eterm-backgrounds

%description
Eterm is a color vt102 terminal emulator intended  as  an xterm(1)
replacement for users who want a term program integrated with 
Enlightenment,or simply want a  little more "eye candy". 
Eterm uses Imlib for advanced graphic abilities.  See below for details.

%prep 
%setup -n %{name}-%{version} -q
%patch0 -p1 -b .momonga
%patch1 -p1 -b .termname

%build
libtoolize -c -f
aclocal
autoconf
%configure --with-backspace=bs --with-delete=execute --enable-xim \
			--enable-multi-charset --enable-auto-encoding \
			--enable-escreen --disable-mmx
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall
for i in %{buildroot}%{_datadir}/Eterm/themes/*/theme.cfg; do
sed s/login_shell\ true/login_shell\ false/ $i > tmp
%__mv tmp $i
done

make -C bg all
make -C bg datadir=%{buildroot}%{_datadir} install

pushd %{buildroot}%{_bindir}
%__ln_s Eterm Escreen
popd

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/Eterm_reference.html doc/Eterm.1.html
%doc README ChangeLog
%{_prefix}/bin/*
%{_prefix}/lib/*
%{_datadir}/man/man1/*
%{_datadir}/Eterm

%changelog
* Wed May  5 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.2-4m)
- rebuild against imlib2-1.1.0
- disable-mmx
- revise specfile

* Tue Nov 19 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.2-3m)
- modify spec file

* Tue Nov 12 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.9.2-2m)
- apply termname patch
- add Escreen

* Tue Nov 12 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (0.9.2-1m)
- up to 0.9.2
- re-create patch (Eterm-0.9.2-momonga.patch)

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.1-6k)
- remove unnecessary requirements

* Tue Feb 26 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.1-4k)
- add termname patch

* Sat Feb 23 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.1-2k)
- version 0.9.1

* Mon Nov 05 2001 Motonobu Ichimura <famao@kondara.org>
- (0.9-14k)
- add patch for XIM
- change default themes to work various XIM
- modify BuildRequires,Requires Tag
- use gcc, not egcs

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (0.9-12k)
- rebuild against libpng 1.2.0.

* Sun Oct 14 2001 Masaru Sato <masachan@kondara.org>
- Modify BuildRoot
- Modify %ChangeLog to %changelog

* Wed Jan 31 2001 Shigeru Yamazaki <s@kondara.org>
- (0.9-11k)
- fixed backgrounds to show

* Fri Jan 19 2001 Toru Hoshina <toru@df-usa.com>
- add *.png again, sorry.

* Wed Oct 25 2000 Toru Hoshina <toru@df-usa.com>
- No more script error :-P

* Thu Oct  5 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- fix source URL

* Mon Jul 10 2000 Shingo Akagaki <dora@kondara.org>
- rebuild against libpng-1.0.7 

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Sat Jun 24 2000 Toru Hoshina <t@kondara.org>
- version up.
- applied compount text patch from http://www.on.ics.keio.ac.jp/~yasu

* Mon Feb 28 2000 Tadashi Matsumoto <error@uranus.interq.or.jp>
- update Japanese patch
- fix BadMatch

* Wed Jan 19 2000 Shingo Akagaki <dora@kondara.org>
- default shell to be not "login shell" 

* Sat Dec 25 1999 Tadashi Matsumoto <error@uranus.interq.or.jp>
- fixed Japanese patch

